
LABINVENT (InventIrap) - Evolution #5892
GENERAL - vérifier que les mails sont bien envoyés à bon escient
02/19/2018 10:01 pm - Jean-Michel Glorian

Status: En cours Start date: 02/19/2018
Priority: Haut Due date:
Assignee: % Done: 50%
Category: GENERAL Estimated time: 0.00 hour
Target version: version 2.9.x à 2.12.x (2018) - Divers Spent time: 0.00 hour
Description

- Bugfix et amélioration MAILS : vérifier que les mails sont bien envoyés à bon escient ; il faut pour cela écrire des TESTS (aucun
pour l'instant sur les emails !!!) en utilisant les MOCK objects (pour remplacer la fonction sendmail afin qu'au lieu d'envoyer
réellement un mail, elle se contente d'afficher les infos envoyées, ça sera plus simple et plus rapide à tester) :
Tester que les ACLs (voir doc ACLs) sont respectés, par exemple :
Si qq modifie (ou valide, ou supprime...) MON materiel, JE dois recevoir une email qui m'en informe, ET aussi le superadmin, ET
aussi la liste labinvent@irap.omp.eu, ET aussi les gens qui sont dans la "liste spécifique" (mais sans doublon)... (et pour "emprunts"
et "suivis" ???)

History
#1 - 07/24/2018 03:43 pm - Anonymous
- Status changed from Nouveau to En cours
- Priority changed from Normal to Haut
- % Done changed from 0 to 50

La fonction d'envoi de mail est en cours de modification

#2 - 07/25/2018 11:55 am - Anonymous
- Subject changed from vérifier que les mails sont bien envoyés à bon escient to GENERAL - vérifier que les mails sont bien envoyés à bon escient
- Category set to GENERAL

#3 - 12/23/2018 04:52 pm - Etienne Pallier
- Target version set to version 2.9.x à 2.12.x (2018) - Divers
